[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Please hint aptitude into testing



On Monday 25 April 2005 05:16 am, Steve Langasek wrote:
> On Mon, Apr 18, 2005 at 06:41:17PM -0400, Daniel Burrows wrote:
> >   aptitude 0.2.15.9-2 is now old enough to go into testing.  This version
> > fixes a bunch of translation bugs and adds conditionally-compiled support
> > for the security features of apt 0.6 (this support isn't compiled into
> > the binary that I uploaded, of course, but it will make life easier for
> > users who want to use the new features).
>
> Approved.  It may not be an issue at all post-sarge, but FWIW, I think that
>
>  #if APT_PKG_MAJOR >= 3 && APT_PKG_MINOR >= 5
>
> was probably meant to be
>
>  #if APT_PKG_MAJOR > 3 || (APT_PKG_MAJOR > 3 && APT_PKG_MINOR >= 5)
>
> :)

  Whoops!  It won't matter post-sarge, though (hopefully) because the next 
aptitude release is exclusively for apt >= 0.6.  If I push out another 
release for sarge (documentation, translation fixes again) I might see about 
future-proofing that too (although as Andreas pointed out, not to what you 
posted).

  Daniel

-- 
/------------------- Daniel Burrows <dburrows@debian.org> ------------------\
|          "You see, I've already stolen the spork of wisdom                |
|           and the spork of courage..  together with the spork             |
|           of power, they form the mighty...TRI-SPORK!" -- Fluble          |
\--- News without the $$ -- National Public Radio -- http://www.npr.org ---/

Attachment: pgpoSQ8SE6boP.pgp
Description: PGP signature


Reply to: